For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hmrc

Retrieve the status of a delivered a CT600 form at HMRC.

post
Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringOptional
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
correlationIdstring · nullableOptional
Responses
200

OK

application/json
messagestring · nullableOptional
acceptedTimestring · date-timeOptional
post/status/hmrc
POST /status/hmrc HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52

{
  "correlationId": "476D11F21A004A4DBAD35E1830291D0D"
}
{
  "message": "text",
  "acceptedTime": "2026-01-01T00:00:00.000Z"
}

Was this helpful?